from message.message_sender import MessageSenderStrategy

class MessageSender:
  def __init__(self, strategy: MessageSenderStrategy):
    self._strategy = strategy

  def send(self, message):
    self._strategy.send(message)
