import requests

from message.message_sender import MessageSenderStrategy

MESSAGE_ENDPOINT = '/message'

class RatStrategy(MessageSenderStrategy):
  def __init__(self, url):
    self._url = url

  def send(self, message):
    requests.post(self._url + MESSAGE_ENDPOINT, json={'message': message})
