class PromptService:
  def __init__(self, prompt):
    self._prompt = prompt

  def has_prompt(self, text: str) -> bool:
    for part in text.split(' '):
      return part in self._prompt.split(' ')

  def filter_words_with_prompt(self, text: str) -> str:
    words = []

    for part in text.split(' '):
      if part in self._prompt.split(' '):
        words.append(part)

    return words
