from message import Message, PromptService, MessageSender

class MessageComposer:
  def __init__(self, prompt_service: PromptService, message_sender: MessageSender):
    self._prompt_service = prompt_service
    self._message_sender = message_sender

  def compose(self, recognized_text) -> Message:
    return Message(self._prompt_service, self._message_sender, recognized_text)
